<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio 6-1</title>
</head>
<Style>
    body {
		  margin: 10px;
		}
        #contenedor{
            /*min-width: 320px;*/
            width: 80%;
            height: 600px;
            display: grid;
            grid-template-columns: 20% 20% 20% 20% 20%;
            grid-template-rows: 2fr 1fr 3fr 1fr 1fr;
            row-gap: 10%;
            grid-gap: 10px;
            margin: 0 auto;
        }

	    .box {
	        background-color:slateblue;
            border:1px solid black;
            color: aliceblue;
            text-align: center;
            padding: 10px;
            box-sizing: border-box; 
            
        }
        .box1{
            grid-column: 1 / 2;
        }
        .box2{
            grid-column: 2 / 3;
        }
        .box3{
            grid-column: 3 / 6;
        }
        .box4{
            grid-column: 1 / 6;
        }
        .box5{
            grid-column: 1 / 3;
        }
        .box6{
            grid-column: 4 / 6;
            
        }
        .box7{
            grid-column: 1 / 1;
        }
        .box12{
            grid-column: 1 / 6;
        }
        #circulo{
            border: 2px solid red;
            height: 200px; width: 200px;
            border-radius: 50%; 
            
        }
        .box6 ,#circulo{
            display: flex;
            justify-content: center;
        }
        #rectangulo{
            border: 2px solid red;
            width:400px;
            height:100px;
        }
        .box5 , #rectangulo , .lista_circulos{
            display: flex;
            justify-content: center;
            flex-wrap: wrap;
        }
        .lista_circulos > div{
            border: 2px solid red;
            height: 50px; width: 50px;
            border-radius: 50%; 
        }
</Style>
<body>
    <div id="contenedor">
        <div class="box box1">box1</div>
        <div class="box box2">box2</div>
        <div class="box box3">box3</div>
        <div class="box box4">box4</div>
        <div class="box box5">box5
            <div id="rectangulo"></div>           
            <div class="lista_circulos">
                <div>1</div>
                <div>2</div>
                <div>3</div>
                <div>4</div>
            </div>
        </div>
        <div class="box box6">box6
            <div id="circulo"></div>
        </div>
        <div class="box box7">box7 </div>
        <div class="box ">box8</div>
        <div class="box ">box9</div>
        <div class="box ">box10</div>
        <div class="box ">box11</div>
        <div class="box box12">box12</div>
        
    </div>	
</body>
</html>